﻿@using System.Security.Claims
@using Microsoft.AspNetCore.Mvc;
@using NacGroup.Infrastructure.Shared
@using NacGroup.Module.Core.Services
@using NacGroup.Module.Product.Services
@using NacGroup.Module.Order.Models.Schema
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IMenuConfigService MenuConfigService;
@inject IProductWebService ProductWebService;
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var logo = globalConfig.GlobalThemeConfig["Data"][0]["Src"];
    var shoppingcart = ViewData["ShoppingCart"] as Order;
    var categories = ProductWebService.GetCategories();
    var mainmenu = MenuConfigService.Get().FirstOrDefault(m => m.Text == "Main Menu");
}
<nav id="nav-mobile" class="clearfix visible-xs ">
    <div class="img-container">
        <img src="@globalConfig.GlobalThemeConfig["Data"][4]["Src"]" alt="" />
    </div>
    <div class="nav-header clearfix">
        <div id="menu-btn" class="">
            <span class="bar1"></span>
            <span class="bar2"></span>
            <span class="bar3"></span>
        </div>
        @*<div class="logo-container">
            <a href="/" class=""> <img src="@logo" /></a>
        </div>
        <a href="javascript:" id="search-btn" class="search-btn-action">
            <i class="demo-icon ecs-search-1"></i>
        </a>*@
    </div>
    <div class="nav-body bg-second">
        <nav class="nav-content">
            <ul class="nav my-ul">
                <li data-id="trang-chu"><a href="/">Trang chủ</a></li>
                @foreach (var item in mainmenu.Children)
                { 
                    @if (item.Children.Any())
                    {
                        <li data-id="@item.Text.ToUrl()" class="nav-parent">
                            <a href="javascript:;" class="collapsed clearfix" aria-expanded="false" data-toggle="collapse" data-target="#@item.Text.ToUrl()">@item.Text  <span class="icon"><i class="demo-icon ecs-down-open-big"></i></span></a>
                            <div class="nav-child collapse" id="@item.Text.ToUrl()">
                                <ul class="nav my-ul">
                                    @foreach (var itemChild in item.Children)
                                    {
                                        <li data-id="@itemChild.Text.ToUrl()"><a href="@itemChild.Url">@itemChild.Text</a></li>
                                    }
                                </ul>
                            </div>
                        </li>
                    }
                    else
                    {
                        <li data-id="@item.Text.ToUrl()"><a href="@item.Url">@item.Text</a></li>
                    }
                }

            </ul>
        </nav>
        <div class="info-container">
            <div class="support-container clearfix">
                <h2 class="h5">Hỗ trợ</h2>
                <a href="mailto:@(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteEmail"])" class="item">
                    <i class="demo-icon ecs-mail-alt"></i>
                    <span>Email</span>
                </a>
                <a href="tel:@((globalConfig.GlobalWebSetting["WebInfomation"]["WebsitePhone"]).ToString().Replace("-",""))" class="item">
                    <i class="demo-icon ecs-phone"></i>
                    <span>Liên hệ</span>
                </a>
                <a href="" class="item">
                    <i class="demo-icon ecs-map"></i>
                    <span>Bản đồ</span>
                </a>
            </div>
        </div>
    </div>
    <div class="nav-footer bg-second">
        <form action="@Url.RouteUrl("tim-kiem")" method="get" autocomplete="off" novalidate="novalidate" class="search-container clearfix">
            <input type="text" placeholder="Tìm kiếm..." name="keyword">
            <button type="submit" class="btn"><i class="demo-icon ecs-search-1"></i></button>
            <a href="javascript:" class="search-btn-action"><i class="demo-icon ecs-cross-out"></i></a>
        </form>
    </div>
</nav>
<header class="hidden-xs">
    <div class="container">
        <div class="row">
            <div class="header-header">
                <div class="img-container">
                    <img src="@globalConfig.GlobalThemeConfig["Data"][4]["Src"]" alt="" />
                </div>
            </div>
            <div class="header-body flex-container flex-center ">
                <div id="nav-pc">
                    <ul class="nav">
                        <li data-id="home-active" class="menu-home">
                            <a href="/">
                                <span class="ecs-home"></span>
                            </a>
                        </li>
                        @foreach (var item in mainmenu.Children)
                        {

                            @if (item.Children.Any())
                            {
                                <li data-id="@item.Text.ToUrl()" class="nav-parent">
                                    <a href="javascript:">@item.Text <span class="icon"><i class="demo-icon ecs-down-open-big"></i></span></a>
                                    <div class="nav-child">
                                        <ul class="nav my-ul" style="padding:0">
                                            @foreach (var itemChild in item.Children)
                                            {
                                                <li data-id="@itemChild.Text.ToUrl()"><a href="@itemChild.Url">@itemChild.Text</a></li>
                                            }
                                        </ul>
                                    </div>
                                </li>
                            }
                            else
                            {
                                <li data-id="@item.Text.ToUrl()"><a href="@item.Url">@item.Text</a></li>
                            }
                        }
                    </ul>
                </div>
            </div>
        </div>
    </div>
</header>